Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets.jsp.taglib
Class GetPropertyTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.content.manager.servlets.jsp.taglib.BaseTag
              com.bea.content.manager.servlets.jsp.taglib.GetPropertyTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class GetPropertyTag

extends BaseTag

Tag to retrieve or print a property of a Node. If tag is used unnested(i.e. not nested inside a ForEachNestedProperty tag

When the tag is used standalone the Node must be set as an attribute of the page context with the id specified in this tag.

If the version attribute is set to the name (number) of a particular Version then the property will be retrieved from the Version object instead of from the Node. Use a value of "0" to use the current version without having to supply the version number of the current version.

If the property is of type Property.BINARY and is a text document (eg. .txt, .html) then the document will be printed. If the BINARY property is not a document (eg. .gif, .pdf) then `ShowBinaryServlet` should be used to write that content directly to a jsp's output stream. If retrieving a stream for the binary property is necessary, use the `INodeManager.getStream(com.bea.content.ContentContext, com.bea.content.ID, String)` method.

If the property name is not specified the primary property will be used, if defined.

If a resultId is defined then it will be set with the value(s) of the Property. If there are multiple values then it will be set as a Collection. If the resultId is not set then the value(s) will be printed

If the following standard properties are used as the property name then the corresponding value from the Node will be returned. These standard properties are not used if a particular version of the node is being used by specifying the version attribute.

- cm_nodeName
- cm_path
- cm_createdBy
- cm_modifiedBy
- cm_createdDate
- cm_modifiedDate If tag is nested inside a ForEachNestedProperty tag:

  Property name must be defined.

  If an invalid property name is used null is returned, unless failOnError is set to true, then an exception will be thrown, or if default is specified, then that will be retrieved.

  See Also
    Serialized Form

  Field Summary
  `protected String` | `baseHref` The BASE HREF to use.
  `protected int` | `blockSize` The block size to read the data in.
  `protected String` | `conversionType` The conversion type.
  `protected String` | `dateFormat` The date format to use.
  `protected String` | `defValue` The default value to print if the property is not found, or if the property does not contain a value.
  `protected int` | `endIndex` The index at which we should stop reading.
  `protected boolean` | `isMultiple` If this is true then a Collection will be returned as the resultId, if false then an Object will be returned that may be cast to the appropriate Property type.
  `protected String` | `name` The name of the property to print.
  `protected Node` | `node` The Node to use.
  `protected String` | `numFormat` The number format to use.
  `protected Property` | `property` The Property to use.
  `protected String` | `resultId` The id of the script variable to put the result into.
  `protected String` | `resultType` The Type of the result.
  `protected int` | `startIndex` The index at which we should start reading.
  `protected int` | `transactionTimeout` The streaming of the data directly to the jsp page is wrapped in a transaction to cover the situation where the back-end system is transactional (like a database) and the InputStream retrieved is tied to that transactional resource (like a BlobInputStream).
  `protected String` | `version` The version name (number) to use if the property is to be retrieved from a Version instead of from the Node.

  Fields inherited from class com.bea.content.manager.servlets.jsp.taglib.BaseTag
  `cacheId, cacheScope, cacheTimeout, failOnError, useCache`

  Fields inherited from class javax.servlet.jsp.tagext.TagSupport
  `id, pageContext`

  Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
  `EVAL_BODY_AGAIN`

  Fields inherited from interface javax.servlet.jsp.tagext.Tag
  `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  Constructor Summary
  `GetPropertyTag()`

  Method Summary
  `String` | `convert(String in)` Convert a string with the current convertType.
  `static String` | `convert(String conversionType, String in)` Convert a string according to the specified convertType.
  `protected int` | `doBinary(BinaryValue binaryValue)` Deprecated
  `protected int` | `doNonBinary(Collection values)` Writes the non-binary text (eg.
  `int` | `doStartTag()` Start the tag.
  `String` | `getBaseHref()` Get the value of `baseHref`.
  `String` | `getBlockSize()` Get the value of `blockSize` as a String.
  `String` | `getConversionType()` Get the value of `conversionType`.
  `String` | `getDateFormat()` Get the `date format` to use.
  `String` | `getDefault()` Get the `default` value.
  `String` | `getEndIndex()` Get the value of `endIndex` as a String.
  `String` | `getIsMultiple()` Get the value of `isMultiple`.
  `String` | `getName()` Get the value of `name`.
  `Node` | `getNode()` Get the Node to use.
  `String` | `getNumFormat()` Get the `number format` to use.
  `Collection` | `getPropertyValues()` Return the property values.
  `URL` | `getRequestBaseHref(javax.servlet.http.HttpServletRequest request)` Gets the request base href.
  `String` | `getResultId()` Get the `resultId`.
  `String` | `getResultType()` Get the `resultId`.
  `URL` | `getServerBaseHref(javax.servlet.http.HttpServletRequest request)` Gets the servers BaseHref.
  `String` | `getStartIndex()` Get the value of `startIndex` as a String.
  `String` | `getTransactionTimeout()` Get the value of `transactionTimeout`
  `String` | `getVersion()` Get the `version` name (number) to use
  `void` | `print(String s)` Print the String to the JspWriter.
  `void` | `println(String s)` Println the String to the JspWriter.
  `void` | `release()` Release the tag.
  `void` | `setAttribute(Collection values)` Deprecated
  `void` | `setBaseHref(String v)` Set the value of `baseHref`.
  `void` | `setBlockSize(String v)` Set the value of `blockSize`.
  `void` | `setConversionType(String conversionType)` Sets the value of `conversionType`.
  `void` | `setDateFormat(String s)` Set the `date format` to use.
  `void` | `setDefault(String v)` Set the `default` value.
  `void` | `setEndIndex(int endIndex)` Set the value of `endIndex`.
  `void` | `setEndIndex(String v)` Set the value of `endIndex`.
  `void` | `setIsMultiple(boolean b)` Set the value of `isMultiple`.
  `void` | `setIsMultiple(String s)` Set the value of `isMultiple`.
  `void` | `setName(String v)` Set the value of `name`.
  `void` | `setNode(Node node)` Set the node to use.
  `void` | `setNumFormat(String s)` Set the `number format` to use.
  `void` | `setResultId(String resultId)` Set the `resultId`.
  `void` | `setResultType(String resultType)` Set the `resultType`.
  `void` | `setStartIndex(int startIndex)` Set the value of `startIndex`.
  `void` | `setStartIndex(String v)` Set the value of `startIndex`.
  `void` | `setTransactionTimeout(String timeout)` Set the value of `transactionTimeout`
  `void` | `setVersion(String version)` Set the `version` name (number) to use.
  `String` | `toString(Calendar cal)` Convert a Calendar to our date format.
  `String` | `toString(Number n)` Convert a number to our date format.
  `String` | `toString(Object obj)` Convert an Object to a string with our current formatting.

  Methods inherited from class com.bea.content.manager.servlets.jsp.taglib.BaseTag
  `getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setUseCache, setUseCache, toDictionary`

  Methods inherited from class javax.servlet.jsp.tagext.TagSupport
  `doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### node

      protected Node node

    The Node to use.

  ### version

      protected String version

    The version name (number) to use if the property is to be retrieved from a Version instead of from the Node. Use a value of "0" to use the current version without having to supply the version number of the current version

  ### property

      protected Property property

    The Property to use.

  ### name

      protected String name

    The name of the property to print.

  ### resultId

      protected String resultId

    The id of the script variable to put the result into. If the resultId isn't set then the property will be written to the PageContext.

  ### resultType

      protected String resultType

    The Type of the result. May only be set when isMultiple = False.

  ### defValue

      protected String defValue

    The default value to print if the property is not found, or if the property does not contain a value.

  ### conversionType

      protected String conversionType

    The conversion type. Can be either "html", "url", or anything else for no conversion. See ContentHelper.toHtml() for an explanation of how html will be converted. See ContentHelper.pathInfoEncode() for an explanation of how a conversion type of "url" for a "cm_path" property is converted. For a conversion type of "url" that isn't for the "cm_path" property, the url will be encoded in "UTF-8" if supported. If it isn't supported then the default encoding will be used.

  ### dateFormat

      protected String dateFormat

    The date format to use.

  ### numFormat

      protected String numFormat

    The number format to use.

  ### blockSize

      protected int blockSize

    The block size to read the data in. Defaults to 2048.

  ### startIndex

      protected int startIndex

    The index at which we should start reading. Defaults to 0.

  ### endIndex

      protected int endIndex

    The index at which we should stop reading.

  ### baseHref

      protected String baseHref

    The BASE HREF to use.

    The content's identifier will be appended automatically to this.

  ### isMultiple

      protected boolean isMultiple

    If this is true then a Collection will be returned as the resultId, if false then an Object will be returned that may be cast to the appropriate Property type. The default is False.

  ### transactionTimeout

      protected int transactionTimeout

    The streaming of the data directly to the jsp page is wrapped in a transaction to cover the situation where the back-end system is transactional (like a database) and the InputStream retrieved is tied to that transactional resource (like a BlobInputStream). If this attribute is set (not -1) then the timeout on the transaction is set to this value (in sec).

  Constructor Detail

  ### GetPropertyTag

      public GetPropertyTag()

  Method Detail

  ### getNode

      public Node getNode()

    Get the Node to use.

  ### setNode

      public void setNode(Node node)

    Set the node to use.

  ### getVersion

      public String getVersion()

    Get the `version` name (number) to use

  ### setVersion

      public void setVersion(String version)

    Set the `version` name (number) to use. Use a value of "0" to use the current version without having to supply the version number of the current version.

  ### getResultType

      public String getResultType()

    Get the `resultId`.

  ### setResultType

      public void setResultType(String resultType)

    Set the `resultType`.

  ### getResultId

      public String getResultId()

    Get the `resultId`.

  ### setResultId

      public void setResultId(String resultId)

    Set the `resultId`.

  ### getName

      public String getName()

    Get the value of `name`.

  ### setName

      public void setName(String v)

    Set the value of `name`.

  ### getDefault

      public String getDefault()

    Get the `default` value.

  ### setDefault

      public void setDefault(String v)

    Set the `default` value.

  ### getConversionType

      public String getConversionType()

    Get the value of `conversionType`.

  ### setConversionType

      public void setConversionType(String conversionType)

    Sets the value of `conversionType`.

  ### getDateFormat

      public String getDateFormat()

    Get the `date format` to use.

  ### setDateFormat

      public void setDateFormat(String s)

    Set the `date format` to use.

  ### getNumFormat

      public String getNumFormat()

    Get the `number format` to use.

  ### setNumFormat

      public void setNumFormat(String s)

    Set the `number format` to use.

  ### getBlockSize

      public String getBlockSize()

    Get the value of `blockSize` as a String.

  ### setBlockSize

      public void setBlockSize(String v)

    Set the value of `blockSize`.

  ### getStartIndex

      public String getStartIndex()

    Get the value of `startIndex` as a String.

  ### setStartIndex

      public void setStartIndex(String v)

    Set the value of `startIndex`.

  ### setStartIndex

      public void setStartIndex(int startIndex)

    Set the value of `startIndex`.

  ### getEndIndex

      public String getEndIndex()

    Get the value of `endIndex` as a String.

  ### setEndIndex

      public void setEndIndex(String v)

    Set the value of `endIndex`.

  ### setEndIndex

      public void setEndIndex(int endIndex)

    Set the value of `endIndex`.

  ### getBaseHref

      public String getBaseHref()

    Get the value of `baseHref`.

  ### setBaseHref

      public void setBaseHref(String v)

    Set the value of `baseHref`.

  ### getIsMultiple

      public String getIsMultiple()

    Get the value of `isMultiple`.

  ### setIsMultiple

      public void setIsMultiple(String s)

    Set the value of `isMultiple`.

  ### setIsMultiple

      public void setIsMultiple(boolean b)

    Set the value of `isMultiple`.

  ### getTransactionTimeout

      public String getTransactionTimeout()

    Get the value of `transactionTimeout`

  ### setTransactionTimeout

      public void setTransactionTimeout(String timeout)

    Set the value of `transactionTimeout`

  ### release

      public void release()

    Release the tag.

    Specified by:
      `release` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `release` in class `BaseTag`

  ### doStartTag

      public int doStartTag()
                     throws javax.servlet.jsp.JspException

    Start the tag.

    Specified by:
      `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
    Overrides:
      `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
    Throws
      `javax.servlet.jsp.JspException`

  ### setAttribute

      public void setAttribute(Collection values)

    Deprecated

    Sets the given values on the pageContext.

  ### getPropertyValues

      public Collection getPropertyValues()
                                   throws javax.servlet.jsp.JspTagException

    Return the property values.

    Throws
      `javax.servlet.jsp.JspTagException`

  ### toString

      public String toString(Object obj)
                      throws javax.servlet.jsp.JspTagException

    Convert an Object to a string with our current formatting.

    Throws
      `javax.servlet.jsp.JspTagException` - thrown on conversion failure when failOnError is true.
    See Also
      `getDefault()`, `toString(java.util.Calendar)`, `toString(java.lang.Number)`

  ### toString

      public String toString(Calendar cal)
                      throws javax.servlet.jsp.JspTagException

    Convert a Calendar to our date format.

    Throws
      `javax.servlet.jsp.JspTagException` - thrown on conversion failure when failOnError is true.

  ### toString

      public String toString(Number n)
                      throws javax.servlet.jsp.JspTagException

    Convert a number to our date format.

    Throws
      `javax.servlet.jsp.JspTagException` - thrown on conversion failure when failOnError is true.

  ### print

      public void print(String s)

    Print the String to the JspWriter.

  ### println

      public void println(String s)

    Println the String to the JspWriter.

  ### convert

      public String convert(String in)

    Convert a string with the current convertType.

  ### convert

      public static String convert(String conversionType,
                                   String in)

    Convert a string according to the specified convertType.

    Parameters
      `conversionType` - "html", "url", or anything else for no encoding.
      `in` - the string
    Returns
      the converted string.

  ### getServerBaseHref

      public URL getServerBaseHref(javax.servlet.http.HttpServletRequest request)
                            throws MalformedURLException

    Gets the servers BaseHref. If it is a regular http request (http, https, ftp) against the standard ports then just return it.

    Throws
      `MalformedURLException`

  ### getRequestBaseHref

      public URL getRequestBaseHref(javax.servlet.http.HttpServletRequest request)
                             throws MalformedURLException

    Gets the request base href.

    Throws
      `MalformedURLException`

  ### doBinary

      protected int doBinary(BinaryValue binaryValue)
                      throws javax.servlet.jsp.JspTagException

    Deprecated

    Writes the binary text.

    Throws
      `javax.servlet.jsp.JspTagException`

  ### doNonBinary

      protected int doNonBinary(Collection values)
                         throws javax.servlet.jsp.JspTagException

    Writes the non-binary text (eg. html)

    Throws
      `javax.servlet.jsp.JspTagException`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
  Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
  Other names may be trademarks of their respective owners.